Bug 985650 - Scp failed between two ends (scp cmd invoked on the 3rd machine)
Scp failed between two ends (scp cmd invoked on the 3rd machine)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openssh (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Petr Lautrbach
Hubert Kario
:
Depends On:
Blocks: 1072992
  Show dependency treegraph
 
Reported: 2013-07-17 23:06 EDT by CongLi
Modified: 2014-06-17 21:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: openssh-6.4p1-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:39:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenSSH Project 2133 None None None Never

  None (edit)
Description CongLi 2013-07-17 23:06:11 EDT
Description of problem:

Scp failed between two ends (scp cmd invoked on the 3rd machine)

Version-Release number of selected component (if applicable):

kernel: 3.10.0-0.rc7.64.el7.x86_64
openssh-6.2p2-3.el7.x86_64
qemu-kvm: qemu-kvm-1.5.1-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. In host3: scp a file from host1 to host2 
scp -v -o UserKnownHostsFile=/dev/null -o PreferredAuthentications=password -r  -P 22 host1:/home/4096m host2:/tmp/dst-sUZKIV61

2. 
3.  

Actual results:
Scp failed.

OpenSSH_6.2p2, OpenSSL 1.0.1e-fips 11 Feb 2013
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: /etc/ssh/ssh_config line 50: Applying options for *
debug1: Connecting to fe80::98b4:b5ff:feb6:b7b8%switch [fe80::98b4:b5ff:feb6:b7b8%switch] port 22.
debug1: Connection established.
debug1: permanently_set_uid: 0/0
debug1: identity file /root/.ssh/id_rsa type 1
debug1: identity file /root/.ssh/id_rsa-cert type -1
debug1: identity file /root/.ssh/id_dsa type -1
debug1: identity file /root/.ssh/id_dsa-cert type -1
debug1: identity file /root/.ssh/id_ecdsa type -1
debug1: identity file /root/.ssh/id_ecdsa-cert type -1
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_6.2
debug1: Remote protocol version 2.0, remote software version OpenSSH_6.1
debug1: match: OpenSSH_6.1 pat OpenSSH*
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-ctr hmac-md5 none
debug1: kex: client->server aes128-ctr hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Server host key: RSA 91:25:11:e8:81:69:7f:5a:37:ea:58:d7:6a:44:60:5b
The authenticity of host 'fe80::98b4:b5ff:feb6:b7b8%switch (fe80::98b4:b5ff:feb6:b7b8%switch)' can't be established.
RSA key fingerprint is 91:25:11:e8:81:69:7f:5a:37:ea:58:d7:6a:44:60:5b.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'fe80::98b4:b5ff:feb6:b7b8%switch' (RSA) to the list of known hosts.
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: Roaming not allowed by server
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue: publickey,gssapi-keyex,gssapi-with-mic,password
debug1: Next authentication method: password
root@fe80::98b4:b5ff:feb6:b7b8%switch's password: 
debug1: Authentication succeeded (password).
Authenticated to fe80::98b4:b5ff:feb6:b7b8%switch ([fe80::98b4:b5ff:feb6:b7b8%switch]:22).
debug1: channel 0: new [client-session]
debug1: Requesting no-more-sessions@openssh.com
debug1: Entering interactive session.
debug1: Sending environment.
debug1: Sending env XMODIFIERS = @im=ibus
debug1: Sending env LANG = zh_CN.UTF-8
debug1: Sending command: scp -v -r /tmp/src-eweFazw2 root@[fe80::98b9:baff:febb:bcbd%eth0]:/tmp/dst-sUZKIV61
Executing: program /usr/bin/ssh host fe80::98b9:baff:febb:bcbd%eth0, user root, command scp -v -r -t /tmp/dst-sUZKIV61
OpenSSH_6.1p1, OpenSSL 1.0.1c-fips 10 May 2012
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: /etc/ssh/ssh_config line 50: Applying options for *
debug1: Connecting to fe80::98b9:baff:febb:bcbd%eth0 [fe80::98b9:baff:febb:bcbd%eth0] port 22.
debug1: Connection established.
debug1: permanently_set_uid: 0/0
debug1: identity file /root/.ssh/id_rsa type 1
debug1: identity file /root/.ssh/id_rsa-cert type -1
debug1: identity file /root/.ssh/id_dsa type -1
debug1: identity file /root/.ssh/id_dsa-cert type -1
debug1: Remote protocol version 2.0, remote software version OpenSSH_6.1
debug1: match: OpenSSH_6.1 pat OpenSSH*
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_6.1
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-ctr hmac-md5 none
debug1: kex: client->server aes128-ctr hmac-md5 none
debug1: SSH2_MSG_KEX_DH_GEX_REQUEST(1024<1024<8192) sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_GROUP
debug1: SSH2_MSG_KEX_DH_GEX_INIT sent
debug1: expecting SSH2_MSG_KEX_DH_GEX_REPLY
debug1: Server host key: RSA 91:25:11:e8:81:69:7f:5a:37:ea:58:d7:6a:44:60:5b
debug1: read_passphrase: can't open /dev/tty: No such device or address
Host key verification failed.
lost connection
debug1: client_input_channel_req: channel 0 rtype exit-status reply 0
debug1: channel 0: free: client-session, nchannels 1
Transferred: sent 2608, received 3936 bytes, in 0.2 seconds
Bytes per second: sent 14253.4, received 21511.3
debug1: Exit status 1


Expected results:
scp should success.

Additional info:
same case pass on openssh-5.3p1-84.1.el6.x86_64
Comment 6 Ludek Smid 2014-06-13 07:39:53 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.